#include <compiler.h>

fn void llvm_initialize(Module* module)
{
    llvm_initialize_all();
}

void emit(Module* module)
{
    llvm_initialize(module);
    auto context = LLVMContextCreate();
    auto m = llvm_context_create_module(context, module->name);
    llvm::DIBuilder* di_builder = 0;
    if (module->has_debug_info)
    {
        di_builder = LLVMCreateDIBuilder(m);
    }

    trap_raw();
}
